{
    attributes = (
        {
            columnName = "DOM_ID"; 
            externalType = NUMBER; 
            name = domId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYAP_ID"; 
            externalType = NUMBER; 
            name = tyapId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "tyap_libelle"; 
            externalType = VARCHAR2; 
            name = tyapLibelle; 
            valueClassName = NSString; 
            valueType = s; 
            width = 50; 
        }, 
        {
            columnName = "tyap_strid"; 
            externalType = VARCHAR2; 
            name = tyapStrid; 
            valueClassName = NSString; 
            valueType = s; 
            width = 20; 
        }
    ); 
    attributesUsedForLocking = (tyapId, tyapStrid, domId, tyapLibelle); 
    className = "org.cocktail.application.serveur.eof.EOTypeApplication"; 
    classProperties = (fonctions, tyapId, domaine, tyapStrid, domId, tyapLibelle); 
    externalName = "jefy_admin.TYPE_application"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (fonctions, tyapId, domaine, tyapStrid, domId, tyapLibelle); 
        "_javaClientClassName" = "org.cocktail.application.client.eof.EOTypeApplication"; 
        "_nameInObjectStore" = "TYPE_CLIENT"; 
        uniqueID = 191824691; 
    }; 
    isReadOnly = Y; 
    name = "ca_TypeApplication"; 
    primaryKeyAttributes = (tyapId); 
    relationships = (
        {
            destination = "ca_Domaine"; 
            internalInfo = {uniqueID = 191824639; }; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = domId; sourceAttribute = domId; }); 
            name = domaine; 
        }, 
        {
            destination = "ca_Fonction"; 
            internalInfo = {uniqueID = 191824646; }; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = tyapId; sourceAttribute = tyapId; }); 
            name = fonctions; 
        }
    ); 
    userInfo = {fetchSpecificationDictionary = {}; }; 
}
